import java.awt.Graphics;
import java.awt.geom.Point2D;
import java.io.File;
import java.io.IOException;
import javax.imageio.ImageIO;

/**
 * Background.java
 * 1/9/11
 */

/**
 * Represents a background sprite that is tiled horizontally.
 * 
 * @author CPSC170A
 */
public class Background extends Sprite {

    /**
     * Constructor, initializes background sprite.
     * 
     * @param initX initial x location
     * @param initY initial y location
     * @param initWidth initial width
     * @param initHeight initial height
     */
    public Background(final double initX, final double initY,
            final double initWidth, final double initHeight) {
        super(initX, initY, initWidth, initHeight, 0.0, 0.0, null);
        try {
            setImage(ImageIO.read(new File(Settings.BG_IMAGE_NAME)));
        } catch (IOException e) {
            System.out.println("Unable to load image: "
                    + Settings.BG_IMAGE_NAME);
        }
    }

    /**
     * Draw this sprite.
     * 
     * @param g graphics object to draw to
     * @param viewport location of view port
     */
    public final void paint(final Graphics g, final Point2D.Double viewport) {
        if (image != null) {
            g.drawImage(image, (int) ((x - viewport.x) % width),
                    (int) (y - viewport.y), (int) width, (int) height, null);
            g.drawImage(image, (int) ((x - viewport.x) % width - width),
                    (int) (y - viewport.y), (int) width, (int) height, null);
            g.drawImage(image, (int) ((x - viewport.x) % width + width),
                    (int) (y - viewport.y), (int) width, (int) height, null);
        }
    }

}
