import java.awt.Graphics;
import java.awt.Image;
import java.awt.geom.Point2D;
import java.io.File;
import java.io.IOException;
import javax.imageio.ImageIO;

/**
 * PlatformList.java
 * 2/9/11
 */

/**
 * Represents a collection of platforms.
 * 
 * @author CPSC170A
 */
public class PlatformList extends ArrayList<Sprite> {

    /**
     * Constructor, Initializes the platform list from the specified file.
     * 
     * @param fileName file containing platforms
     */
    public PlatformList(final String fileName) {
        super();
        Image image = null;
        try {
            image = ImageIO.read(new File(Settings.PLATFORM_IMAGE_NAME));
        } catch (IOException e) {
            System.out.println("Unable to read image: "
                    + Settings.PLATFORM_IMAGE_NAME);
        }
    }

    /**
     * Draw all the platforms in this list.
     * 
     * @param g graphics object to draw to
     * @param viewport viewport to draw to
     */
    public final void paint(final Graphics g, final Point2D.Double viewport) {
        for (int i = 0; i < size(); i++) {
            get(i).paint(g, viewport);
        }
    }
}
