/**
 * 2/9/11
 * Settings.java
 */

import java.awt.Color;

/**
 * Settings for the simple platform game.
 * 
 * @author CPSC170A
 */
public abstract class Settings {
    /** Panel width. */
    public static final int PANEL_WIDTH = 640;

    /** Panel height. */
    public static final int PANEL_HEIGHT = 480;

    /** Frame rate. */
    public static final int REFRESH = 30;

    /** Acceleration due to gravity. */
    public static final double GRAVITY = 1.0;

    /** Player width. */
    public static final double PLAYER_WIDTH = 32.0;

    /** Player height. */
    public static final double PLAYER_HEIGHT = 64.0;

    /** Initial player x location. */
    public static final double INIT_PLAYER_X = 0.0;

    /** Initial paddle y location. */
    public static final double INIT_PLAYER_Y = 0.0;

    /** Velocity of player. */
    public static final double INIT_PLAYER_VEL = 10.0;

    /** Jump acceleration. */
    public static final double JUMP = 25.0;

    /** File name of background image. */
    public static final String BG_IMAGE_NAME = "sky.png";

    /** Width of background sprite. */
    public static final double BG_WIDTH = 1024.0;

    /** Height of background sprite. */
    public static final double BG_HEIGHT = 1024.0;

    /** Color of background. */
    public static final Color BG_COLOR = new Color(110, 186, 241);

    /** File name of the platform image. */
    public static final String PLATFORM_IMAGE_NAME = "ground.png";

    /** Number of frames to between changing run image. */
    public static final int RUN_LOOP_LENGTH = 10;

    /** Right bound of player movement. */
    public static final double RIGHT_BOUND = PANEL_WIDTH * 0.95;

    /** Left bound of player movement. */
    public static final double LEFT_BOUND = PANEL_WIDTH * 0.05;

    /** Top bound of player movement. */
    public static final double TOP_BOUND = PANEL_HEIGHT * 0.05;

    /** Bottom bound of player movement. */
    public static final double BOTTOM_BOUND = PANEL_HEIGHT * 0.95;
}
